import request from "@/utils/request";

// 查询用户账号列表分页
export function doGetSubuserlist(data) {
  return request({
    url: "/manage/api/v1/user/page",
    method: "post",
    data,
  });
}

// 查询用户账号列表
export function doGetSubuser(data) {
  return request({
    url: "/manage/api/v1/user/list",
    method: "post",
    data,
  });
}

// 添加-编辑
export function doEditSubuser(data) {
  return request({
    url: "/manage/api/v1/user/add",
    method: "post",
    data,
  });
}

// 删除
export function doDeleteSubuser(userId) {
  return request({
    url: `manage/api/v1/user/del/${userId}`,
    method: "get",
  });
}
// 获取用户详情
export function doDetailSubuser(userId) {
  return request({
    url: `manage/api/v1/user/detail/${userId}`,
    method: "get",
  });
}
